XmlCommandRegistrar (Groovy 4.0.15)

Package: org.apache.groovy.groovysh.util

## [Groovy] Class XmlCommandRegistrar

- org.apache.groovy.groovysh.util.XmlCommandRegistrar

-     class XmlCommandRegistrar
      extends Object

  Registers Command classes from an XML file like:

      <commands>
         <!-- default commands -->
         <command>org.codehaus.groovy.tools.shell.commands.HelpCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.ExitCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.ImportCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.DisplayCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.ClearCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.ShowCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.InspectCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.PurgeCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.EditCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.LoadCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.SaveCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.RecordCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.HistoryCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.AliasCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.SetCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.ShadowCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.RegisterCommand</command>
         <command>org.codehaus.groovy.tools.shell.commands.DocCommand</command>
         <!-- custom commands -->
       </commands>

- - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlCommandRegistrar(Shell shell, ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `register(URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### XmlCommandRegistrar(Shell shell, ClassLoader classLoader)

  - ### Method Detail

    - #### void register(URL url)